#include <SDL.h>
#include <SDL_image.h>
#include <cstdlib>
#include <cstdio>


int main( int argc, char * argv[] ) {
    SDL_Window *ventana;
    SDL_Renderer *renderer;
    SDL_Texture *texture;
    SDL_Texture *armor;
    SDL_Texture *hair;
    SDL_Rect Origen = {0,0,32,64};
    SDL_Rect Destino = {100,100,64,128};
    int andar[] = {1,2,3,4,5,6};
    int i,j;
    int fase = 0;
    int avance=8;
    SDL_RendererFlip dir = SDL_FLIP_NONE;

    SDL_Init(SDL_INIT_EVERYTHING);
    ventana = SDL_CreateWindow("Mi primera ventana",
        SDL_WINDOWPOS_CENTERED, SDL_WINDOWPOS_CENTERED,
            640, 480, SDL_WINDOW_SHOWN | SDL_WINDOW_BORDERLESS);
    renderer = SDL_CreateRenderer(ventana, -1, 0);
    texture = IMG_LoadTexture(renderer, "./maleBase/base/base_light.png");
    armor = IMG_LoadTexture(renderer, "./maleBase/outfit/outfit_lightArmor.png");
    hair = IMG_LoadTexture(renderer, "./maleBase/head/head_hair_dark01.png");

    SDL_SetRenderDrawColor(renderer, 32,128,32,255);

    j=0;
    i=0;
    while(j < 200) {
        SDL_RenderClear(renderer);
        Origen.x = andar[i++]*32;
        i%=6;
        Destino.x += avance;
        SDL_RenderCopyEx(renderer, texture, &Origen, &Destino, 0, NULL, dir);
        if(fase>0) SDL_RenderCopyEx(renderer, armor, &Origen, &Destino, 0, NULL, dir);
        if(fase>1) SDL_RenderCopyEx(renderer, hair, &Origen, &Destino, 0, NULL, dir);
        SDL_RenderPresent(renderer);
        if(Destino.x > 600) {
            dir = SDL_FLIP_HORIZONTAL;
            avance = -8;
            fase++;
        }
        if(Destino.x < 10) {
            dir = SDL_FLIP_NONE;
            avance = 8;
            fase++;
        }
        SDL_Delay(120);
        j++;
    }

    SDL_DestroyTexture(hair);
    SDL_DestroyTexture(armor);
    SDL_DestroyTexture(texture);
    SDL_DestroyRenderer(renderer);
    SDL_DestroyWindow(ventana);
    SDL_Quit();
    return 0;
}
